<?xml version="1.0" encoding="utf-8"?>
<!--
This XML file declares which signature|privileged permissions should be granted to privileged
applications that come with the platform
-->
<permissions>
    <privapp-permissions package="com.android.fmradio">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.ACCESS_BROADCAST_RADIO"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.connectivity">
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.baidu.map.location">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.INSTALL_LOCATION_PROVIDER"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.contacts">
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.ims">
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.simprocessor">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="android.ext.services">
        <permission name="android.permission.PROVIDE_RESOLVER_RANKER_SERVICE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.calendar">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.settings">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.dialer">
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.CREATE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.telephony">
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.callrecorder">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.launcher3">
        <permission name="android.permission.BIND_APPWIDGET"/>
    </privapp-permissions>

   <privapp-permissions package="com.android.apps.tag">
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.stk">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.RECEIVE_STK_COMMANDS"/>
        <permission name="android.permission.USER_ACTIVITY"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.carrierexpress">
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.mms">
        <permission name="android.permission.RECEIVE_EMERGENCY_BROADCAST"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.systemui">
        <permission name="android.permission.MANAGE_VOICE_KEYPHRASES"/>
        <permission name="android.permission.READ_PRECISE_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="com.android.permission.WRITE_EMBEDDED_SUBSCRIPTIONS"/>
        <!-- Add reboot permission for subsidy lock request8 -->
        <permission name="android.permission.REBOOT"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.downloads">
        <permission name="android.permission.ACCESS_CACHE_FILESYSTEM"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.MODIFY_NETWORK_ACCOUNTING"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.music">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.voicecommand">
        <permission name="android.permission.MANAGE_VOICE_KEYPHRASES"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.voicecommand.vis">
        <permission name="android.permission.MANAGE_VOICE_KEYPHRASES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.phone">
        <permission name="com.mediatek.intent.action.ACTION_NETWORK_CHANGED"/>
        <permission name="com.mediatek.INTENT.IMS_STATE_CHANGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.wfo.impl">
        <permission name="android.permission.PACKET_KEEPALIVE_OFFLOAD"/>
    </privapp-permissions>

    <privapp-permissions package="com.skyroam.silverhelper">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.cellbroadcastreceiver">
        <permission name="android.permission.RECEIVE_EMERGENCY_BROADCAST"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.fullscreenmode">
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.ppl">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.MOUNT_FORMAT_FILESYSTEMS"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.dataprotection">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_USERS"/>
    </privapp-permissions>

   <privapp-permissions package="com.orangelabs.rcs">
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.fmradiodemo">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.ACCESS_BROADCAST_RADIO"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.engineermode">
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.MASTER_CLEAR"/>
    </privapp-permissions>

    <privapp-permissions package="com.mediatek.systemupdate">
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.RECOVERY"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.deskclock">
        <permission name="android.permission.CRYPT_KEEPER"/>
    </privapp-permissions>
</permissions>
